MatrixDialogAverage

gui

## Class MatrixDialogAverage

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - gui.MatrixDialogAverage

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

      public class MatrixDialogAverage
      extends javax.swing.JDialog

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `MatrixDialogAverage.CustomCellRenderer` CellRenderer, der die Zellen der Pitchtabelle je nach Inhalt anders einfaerbt
    `(package private) class` | `MatrixDialogAverage.CustomNumberCellRenderer` CellRenderer, der die Zellen der Instrumenten- und Tonartentabelle anders einfaerbt

    - ### Nested classes/interfaces inherited from class javax.swing.JDialog

      `javax.swing.JDialog.AccessibleJDialog`

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnSave`
    `private javax.swing.JScrollPane` | `jScrollPane1`
    `private javax.swing.JScrollPane` | `jScrollPane2`
    `private javax.swing.JScrollPane` | `jScrollPane3`
    `private javax.swing.JScrollPane` | `jScrollPane4`
    `private javax.swing.JScrollPane` | `jScrollPane5`
    `private javax.swing.JToolBar` | `jToolBar1`
    `private java.lang.String` | `pw`
    `private javax.swing.JTable` | `tInstr1`
    `private javax.swing.JTable` | `tInstr2`
    `private javax.swing.JTable` | `tKey1`
    `private javax.swing.JTable` | `tKey2`
    `private javax.swing.JTable` | `tNotes`
    `private java.lang.String` | `url`
    `private java.lang.String` | `user`

    - ### Fields inherited from class javax.swing.JDialog

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description

    `MatrixDialogAverage(java.awt.Frame parent, boolean modal, int[] Pitches, java.util.LinkedHashMap<java.lang.String,java.lang.Integer> instruments, java.util.LinkedHashMap<java.lang.String,java.lang.Integer> keys, java.lang.String _title, java.lang.String user, java.lang.String pw, java.lang.String url)`
    Creates new form MatrixDialog

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `btnSaveActionPerformed(java.awt.event.ActionEvent evt)` store all the Data (Notes, Instruments, Keys) in the DB
    `void` | `closeDialog()`
    `private void` | `fillInstruments(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> instruments)` befuellt die Tabellen mit den Vorkommnissen der Instrumentengruppen
    `private void` | `fillKeys(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> keys)` befuellt die Tabellen mit den Vorkommnissen der Tonarten
    `private void` | `fillPitches(int[] Pitches)` fuellt die Tabelle mit den Prozentwerten der Pitches
    `private void` | `initComponents()` This method is called from within the constructor to initialize the form.
    `static void` | `main(java.lang.String[] args)`
    `void` | `SaveInDatabase()` store all the Data (Notes, Instruments, Keys) in the DB

    - ### Methods inherited from class javax.swing.JDialog

      `addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### user

          private java.lang.String user

    - #### pw

          private java.lang.String pw

    - #### url

          private java.lang.String url

    - #### btnSave

          private javax.swing.JButton btnSave

    - #### jScrollPane1

          private javax.swing.JScrollPane jScrollPane1

    - #### jScrollPane2

          private javax.swing.JScrollPane jScrollPane2

    - #### jScrollPane3

          private javax.swing.JScrollPane jScrollPane3

    - #### jScrollPane4

          private javax.swing.JScrollPane jScrollPane4

    - #### jScrollPane5

          private javax.swing.JScrollPane jScrollPane5

    - #### jToolBar1

          private javax.swing.JToolBar jToolBar1

    - #### tInstr1

          private javax.swing.JTable tInstr1

    - #### tInstr2

          private javax.swing.JTable tInstr2

    - #### tKey1

          private javax.swing.JTable tKey1

    - #### tKey2

          private javax.swing.JTable tKey2

    - #### tNotes

          private javax.swing.JTable tNotes

  - ### Constructor Detail

    - #### MatrixDialogAverage

          public MatrixDialogAverage(java.awt.Frame parent,
                             boolean modal,
                             int[] Pitches,
                             java.util.LinkedHashMap<java.lang.String,java.lang.Integer> instruments,
                             java.util.LinkedHashMap<java.lang.String,java.lang.Integer> keys,
                             java.lang.String _title,
                             java.lang.String user,
                             java.lang.String pw,
                             java.lang.String url)

      Creates new form MatrixDialog
      Parameters:
        `parent` - Parent des Dialogs
        `modal` - andere Fenster anklickbar
        `Pitches` - die Pitches
        `_title` - der Titel

  - ### Method Detail

    - #### fillPitches

          private void fillPitches(int[] Pitches)

      fuellt die Tabelle mit den Prozentwerten der Pitches
      Parameters:
        `Pitches` - ein Array mit den Pitches

    - #### fillInstruments

          private void fillInstruments(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> instruments)

      befuellt die Tabellen mit den Vorkommnissen der Instrumentengruppen
      Parameters:
        `instruments` - Liste der Instrumentengruppen

    - #### fillKeys

          private void fillKeys(java.util.LinkedHashMap<java.lang.String,java.lang.Integer> keys)

      befuellt die Tabellen mit den Vorkommnissen der Tonarten
      Parameters:
        `keys` - Liste der Tonarten

    - #### initComponents

          private void initComponents()

      This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.

    - #### btnSaveActionPerformed

          private void btnSaveActionPerformed(java.awt.event.ActionEvent evt)

      store all the Data (Notes, Instruments, Keys) in the DB
      Parameters:
        `evt` -

    - #### SaveInDatabase

          public void SaveInDatabase()

      store all the Data (Notes, Instruments, Keys) in the DB

    - #### closeDialog

          public void closeDialog()

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` - the command line arguments